Subject: Re: [PATCH] IPv6: (5/5) Allow IPv6 tunnels without own IPv6 address

From: "David S. Miller" <[email-masked]>
Date: Mon, 1 Sep 2003 03:51:34 -0700

On Mon, 1 Sep 2003 13:48:44 +0300 (EEST)
Pekka Savola <[email-masked]> wrote:

> Well, link-local addresses are used e.g. by routing protocols and such, so 
> having one is probably rather important..

Ok.

> FWIW, on FreeBSD platform they take the link-local address of the first
> physical interface, and give the exact same link-local address on all of
> the tunnels, disambiuating them with the scope identifier.  Seems like an
> OK appaorach too, and guarantees (to the degree of unique MAC addresses)  
> that the addresses of the endpoints do not clash.

Interesting approach...  I'm not particularly picky about how this
uniqueness issue is solved.